Mercurial > hg > xemacs-beta
comparison lib-src/install-sid @ 112:48d667d6f17f r20-1b8
Import from CVS: tag r20-1b8
author | cvs |
---|---|
date | Mon, 13 Aug 2007 09:20:48 +0200 |
parents | |
children |
comparison
equal
deleted
inserted
replaced
111:164ab62060bf | 112:48d667d6f17f |
---|---|
1 #!/bin/sh | |
2 # Drop in the SUBMITTER id into a site's installed send-pr script. | |
3 # Copyright (C) 1993 Free Software Foundation, Inc. | |
4 # Contributed by Brendan Kehoe (brendan@cygnus.com), based on a | |
5 # version written by Heinz G. Seidl (hgs@ide.com). | |
6 # | |
7 # This file is part of GNU GNATS. | |
8 # | |
9 # GNU GNATS is free software; you can redistribute it and/or modify | |
10 # it under the terms of the GNU General Public License as published by | |
11 # the Free Software Foundation; either version 2, or (at your option) | |
12 # any later version. | |
13 # | |
14 # GNU GNATS is distributed in the hope that it will be useful, | |
15 # but WITHOUT ANY WARRANTY; without even the implied warranty of | |
16 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the | |
17 # GNU General Public License for more details. | |
18 # | |
19 # You should have received a copy of the GNU General Public License | |
20 # along with GNU GNATS; see the file COPYING. If not, write to | |
21 # the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. | |
22 | |
23 COMMAND=`echo $0 | sed -e 's,.*/,,g'` | |
24 USAGE="Usage: $COMMAND [--install-dir=prefix] [--help] [--version] submitter-id" | |
25 | |
26 VERSION=3.101 | |
27 | |
28 BINDIR=/usr/bin | |
29 | |
30 SUBMITTER= | |
31 TEMP=/tmp/sp$$ | |
32 | |
33 if [ $# -eq 0 ]; then | |
34 echo "$USAGE" | |
35 exit 1 | |
36 fi | |
37 | |
38 while [ $# -gt 0 ]; do | |
39 case "$1" in | |
40 -install-dir=*|--install-dir=*|--install-di=*|--install-d=*|--install-=*|--install=*|--instal=*|--insta=*|--inst=*|--ins=*|--in=*|--i=*) | |
41 I=`echo "$1" | sed 's/-*i[a-z\-]*=//'` | |
42 BINDIR=$I/bin ;; | |
43 --version) echo $COMMAND version $VERSION ; exit 1 ;; | |
44 -*) echo "$USAGE" ; exit 1 ;; | |
45 *) SUBMITTER=$1 ;; | |
46 esac | |
47 shift | |
48 done | |
49 | |
50 path=`echo $0 | sed -e "s;${COMMAND};;"` | |
51 | |
52 [ -z "$path" ] && path=. | |
53 | |
54 examinebindir=yes | |
55 | |
56 if [ "$examinebindir" = yes ] && [ -f $BINDIR/send-pr ]; then | |
57 SPPATHLIST=$BINDIR/send-pr | |
58 else | |
59 if [ -f $path/send-pr ]; then | |
60 SPPATHLIST=$path/send-pr | |
61 else | |
62 echo "$COMMAND: cannot find \`$BINDIR/send-pr' or \`$path/send-pr'" >&2 | |
63 exit 1 | |
64 fi | |
65 fi | |
66 | |
67 trap 'rm -f $TEMP ; exit 0' 0 | |
68 trap 'echo "$COM: Aborting ..."; rm -f $TEMP ; exit 1' 1 2 3 13 15 | |
69 | |
70 for SPPATH in $SPPATHLIST; do | |
71 sed -e "s/^SUBMITTER=.*/SUBMITTER=${SUBMITTER}/" $SPPATH > $TEMP | |
72 | |
73 if grep $SUBMITTER $TEMP > /dev/null; then | |
74 cp $SPPATH $SPPATH.orig && | |
75 rm -f $SPPATH && | |
76 cp $TEMP $SPPATH && | |
77 chmod a+rx $SPPATH && | |
78 rm -f $TEMP $SPPATH.orig || | |
79 { echo "$COMMAND: unable to replace send-pr" >&2 ; exit 1; } | |
80 else | |
81 echo "$COMMAND: something went wrong when sed-ing the submitter into send-pr" >&2 | |
82 exit 1 | |
83 fi | |
84 done | |
85 | |
86 echo "$COMMAND: \`$SUBMITTER' is now the default submitter ID for send-pr" | |
87 | |
88 exit 0 |